---
title: Last-Modified
slug: Web/HTTP/Headers/Last-Modified
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Response Header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Last-Modified</code></strong> response HTTP header contains the date and time at which the origin server believes the resource was last modified. It is used as a validator to determine if a resource received or stored is the same. Less accurate than an {{HTTPHeader("ETag")}} header, it is a fallback mechanism. Conditional requests containing {{HTTPHeader("If-Modified-Since")}} or {{HTTPHeader("If-Unmodified-Since")}} headers make use of this field.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("CORS-safelisted response header")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Last-Modified: &lt;day-name&gt;, &lt;day&gt; &lt;month&gt; &lt;year&gt; &lt;hour&gt;:&lt;minute&gt;:&lt;second&gt; GMT
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;day-name&gt;</dt>
 <dd>One of "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", or "Sun" (case-sensitive).</dd>
 <dt>&lt;day&gt;</dt>
 <dd>2 digit day number, e.g. "04" or "23".</dd>
 <dt>&lt;month&gt;</dt>
 <dd>One of "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" (case sensitive).</dd>
 <dt>&lt;year&gt;</dt>
 <dd>4 digit year number, e.g. "1990" or "2016".</dd>
 <dt>&lt;hour&gt;</dt>
 <dd>2 digit hour number, e.g. "09" or "23".</dd>
 <dt>&lt;minute&gt;</dt>
 <dd>2 digit minute number, e.g. "04" or "59".</dd>
 <dt>&lt;second&gt;</dt>
 <dd>2 digit second number, e.g. "04" or "59".</dd>
 <dt><code>GMT</code></dt>
 <dd>
 <p>Greenwich Mean Time. HTTP dates are always expressed in GMT, never in local time.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Last-Modified: Wed, 21 Oct 2015 07:28:00 GMT
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7232", "Last-Modified", "2.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Conditional Requests</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Last-Modified")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("If-Modified-Since")}}</li>
 <li>{{HTTPHeader("If-Unmodified-Since")}}</li>
 <li>{{HTTPHeader("Etag")}}</li>
</ul>
